Debian Bug report logs - #634485
radvd: DNSSL options are concatenated if specified with trailing .

version graph

Package: radvd; Maintainer for radvd is Ghe Rivero <ghe@debian.org>; Source for radvd is src:radvd.

Reported by: Peter Chubb <peter.chubb@nicta.com.au>

Date: Tue, 19 Jul 2011 01:57:02 UTC

Severity: normal

Tags: patch, upstream

Found in version radvd/1:1.8-1

Fixed in version radvd/1:1.9.1-1

Done: Ghe Rivero <ghe@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ghe Rivero <ghe@debian.org>:
Bug#634485; Package radvd. (Tue, 19 Jul 2011 01:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Chubb <peter.chubb@nicta.com.au>:
New Bug report received and forwarded. Copy sent to Ghe Rivero <ghe@debian.org>. (Tue, 19 Jul 2011 01:57:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Peter Chubb <peter.chubb@nicta.com.au>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: radvd: DNSSL options are concatenated if specified with trailing .
Date: Tue, 19 Jul 2011 11:31:46 +1000
Package: radvd
Version: 1:1.8-1
Severity: normal

In a DNSSL config line in radvd.conf, if the search suffices have trailing 
dots, then all are concatenated and are sent as a single suffix.

E.g., in /etc/radvd.conf if you have:

DNSSL a.b.c.d. b.c.d. c.d. {
                FlushDNSSL on;
        };

radvd sends a single suffix a.b.c.d.b.c.d.c.d.

If you instead have
DNSSL a.b.c.d b.c.d c.d {
                FlushDNSSL on;
        };

then all works correctly and radvd sends all three suffixes.



-- System Information:
Debian Release: 5.0.5
  APT prefers unstable
  APT policy: (700, 'unstable'), (500, 'oldstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.26-2-686
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)

Versions of packages radvd depends on:
ii  adduser                     3.110        add and remove users and groups
ii  libc6                       2.7-18lenny4 GNU C Library: Shared libraries

radvd recommends no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Ghe Rivero <ghe@debian.org>:
Bug#634485; Package radvd. (Tue, 19 Jul 2011 02:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Peter Chubb <peter.chubb@nicta.com.au>:
Extra info received and forwarded to list. Copy sent to Ghe Rivero <ghe@debian.org>. (Tue, 19 Jul 2011 02:27:03 GMT) Full text and rfc822 format available.

Message #10 received at 634485@bugs.debian.org (full text, mbox):

From: Peter Chubb <peter.chubb@nicta.com.au>
To: 634485@bugs.debian.org
Subject: PATCH to fix the issue
Date: Tue, 19 Jul 2011 12:01:40 +1000
The attached patch fixes the problem.

Signed-off-by: Peter Chubb <peter.chubb@nicta.com.au>

Index: radvd-1.8/send.c
===================================================================
--- radvd-1.8.orig/send.c	2011-07-19 11:44:25.702210417 +1000
+++ radvd-1.8/send.c	2011-07-19 11:45:02.921645686 +1000
@@ -372,21 +372,21 @@ send_ra(struct Interface *iface, struct
 
 				*buff_ptr++ = label_len;
 
 				memcpy(buff_ptr, label, label_len);
 				buff_ptr += label_len;
 
 				label += label_len;
 
 				if (label[0] == '.')
 					label++;
-				else
+				if (label[0] == '\0')
 					*buff_ptr++ = 0;
 			}
 		}
 
 		dnsslinfo->nd_opt_dnssli_len		+= ((buff_ptr-dnsslinfo->nd_opt_dnssli_suffixes)+7)/8;
 
 		send_ra_inc_len(&len, dnsslinfo->nd_opt_dnssli_len * 8);
 
 		dnssl = dnssl->next;
 	}

--
Dr Peter Chubb  http://www.gelato.unsw.edu.au  peterc AT gelato.unsw.edu.au
http://www.ertos.nicta.com.au           ERTOS within National ICT Australia




Added tag(s) patch. Request was from Peter Chubb <peter.chubb@nicta.com.au> to control@bugs.debian.org. (Tue, 19 Jul 2011 03:00:03 GMT) Full text and rfc822 format available.

Added tag(s) upstream and pending. Request was from "ghe. rivero" <ghe.rivero@gmail.com> to control@bugs.debian.org. (Thu, 31 May 2012 06:42:09 GMT) Full text and rfc822 format available.

Reply sent to Ghe Rivero <ghe@debian.org>:
You have taken responsibility. (Sun, 01 Jul 2012 09:36:04 GMT) Full text and rfc822 format available.

Notification sent to Peter Chubb <peter.chubb@nicta.com.au>:
Bug acknowledged by developer. (Sun, 01 Jul 2012 09:36:05 GMT) Full text and rfc822 format available.

Message #19 received at 634485-close@bugs.debian.org (full text, mbox):

From: Ghe Rivero <ghe@debian.org>
To: 634485-close@bugs.debian.org
Subject: Bug#634485: fixed in radvd 1:1.9.1-1
Date: Sun, 01 Jul 2012 09:33:50 +0000
Source: radvd
Source-Version: 1:1.9.1-1

We believe that the bug you reported is fixed in the latest version of
radvd, which is due to be installed in the Debian FTP archive:

radvd_1.9.1-1.debian.tar.gz
  to main/r/radvd/radvd_1.9.1-1.debian.tar.gz
radvd_1.9.1-1.dsc
  to main/r/radvd/radvd_1.9.1-1.dsc
radvd_1.9.1-1_amd64.deb
  to main/r/radvd/radvd_1.9.1-1_amd64.deb
radvd_1.9.1.orig.tar.gz
  to main/r/radvd/radvd_1.9.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 634485@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ghe Rivero <ghe@debian.org> (supplier of updated radvd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 01 Jul 2012 10:51:22 +0200
Source: radvd
Binary: radvd
Architecture: source amd64
Version: 1:1.9.1-1
Distribution: unstable
Urgency: low
Maintainer: Ghe Rivero <ghe@debian.org>
Changed-By: Ghe Rivero <ghe@debian.org>
Description: 
 radvd      - Router Advertisement Daemon
Closes: 634485
Changes: 
 radvd (1:1.9.1-1) unstable; urgency=low
 .
   * New upstream release
   * Added pkg-config, libdaemon-dev as build-depend
   * DNSSL options are concatenated if specified with trailing. Closes: #634485
Checksums-Sha1: 
 24fb615cefb3f6b0c935493ea7d7729b4a112d28 1051 radvd_1.9.1-1.dsc
 8db7d69f5ca4ce3643f06866b4dbf634490f479a 182081 radvd_1.9.1.orig.tar.gz
 2f9e512f78a252d43b641f9bb1606d3de09b46f0 12284 radvd_1.9.1-1.debian.tar.gz
 1fa3febbad8b49d284b829c6b3d9e7c8a661e27e 74486 radvd_1.9.1-1_amd64.deb
Checksums-Sha256: 
 9d10ed5494c576c078e6bffaf4f702b811b04e19a456e4fda117c3aeac0eb6d2 1051 radvd_1.9.1-1.dsc
 54eb5704a2b710ba946fa30d2bca811fa23b1b3bfab322c38cb0c2a9619aa933 182081 radvd_1.9.1.orig.tar.gz
 7909752b996c63340b8bf2405ae0683b2d2ca68c8141612ca5e01cc5a5c4ef68 12284 radvd_1.9.1-1.debian.tar.gz
 c2e5743abf8de646a0fe813b3c7b8c549aa3be281d96b283aa85cda86bfb54f7 74486 radvd_1.9.1-1_amd64.deb
Files: 
 2a0656d99f3da815c544166b085fdbef 1051 net optional radvd_1.9.1-1.dsc
 e807ad7e9a76d46b6133df391385cd31 182081 net optional radvd_1.9.1.orig.tar.gz
 eadb8a8b2ee028a1751f1cfb6deda5f7 12284 net optional radvd_1.9.1-1.debian.tar.gz
 84b440832f7142338f354dc8b9735445 74486 net optional radvd_1.9.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk/wFU8ACgkQZttaNibwIPdoWgCgrVkkXq11e7mHh1zqOVgqin7S
I9gAoKUQnUpxthBD8k2/oAKVTWY7fD1x
=DIoe
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Jun 2013 09:15:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 14:28:59 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.